summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2018-12-27 00:49:28 -0600
committerTim Harder <radhermit@gentoo.org>2018-12-27 00:57:49 -0600
commit182c2657e05919bca47a0847d0c39633d706f07b (patch)
tree1512d4e297467477dc7644f120a6ec7d2520b1fb /media-gfx
parentdev-python/svgwrite: version bump to 1.2.1 (diff)
downloadgentoo-182c2657e05919bca47a0847d0c39633d706f07b.tar.gz
gentoo-182c2657e05919bca47a0847d0c39633d706f07b.tar.bz2
gentoo-182c2657e05919bca47a0847d0c39633d706f07b.zip
media-gfx/termtosvg: version bump to 0.7.0
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/termtosvg/Manifest1
-rw-r--r--media-gfx/termtosvg/termtosvg-0.7.0.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/media-gfx/termtosvg/Manifest b/media-gfx/termtosvg/Manifest
index b2e867a39b8..30a9b15b857 100644
--- a/media-gfx/termtosvg/Manifest
+++ b/media-gfx/termtosvg/Manifest
@@ -1 +1,2 @@
DIST termtosvg-0.4.0.tar.gz 88543 BLAKE2B a45e15e7d681bb649670d4c73cf09306fa09276b2a34f762db66f4cf2d640d2163f4e98b16dc609e92b4145978e76a00e80950634d1599ee0766c4f08afb15a5 SHA512 c0c90fc9e74c892ebe6b7fcd25ff2757a7a8b9ee4da459fc608c96295d0f9b40bf6c98a0ac56f42c3e2a60cb60e9404a9b50863bdf74335d2b4758b124c04fcb
+DIST termtosvg-0.7.0.tar.gz 276936 BLAKE2B 530bd3ef17aa19cbc23e46e7aea4716dda9369979ae97609ac6f976fecd4f75652b23f47ccf4da8035175f281d1a80b340acc714391882365c01764a92e4588b SHA512 085f6b9728cc641b058c8a060420e8221659a9447119d2c1211cfcd6452c63a187c5dc1e4f98fc7aca2018161ae49a9a71b2264108c5e06167eaaaf18f5aa291
diff --git a/media-gfx/termtosvg/termtosvg-0.7.0.ebuild b/media-gfx/termtosvg/termtosvg-0.7.0.ebuild
new file mode 100644
index 00000000000..d7e0741c411
--- /dev/null
+++ b/media-gfx/termtosvg/termtosvg-0.7.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Record terminal sessions as SVG animations"
+HOMEPAGE="https://github.com/nbedos/termtosvg"
+SRC_URI="https://github.com/nbedos/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/pyte-0.8.0[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v || die "tests failed with ${EPYTHON}"
+}